/**
 * @author tyl
 * @Action  ini
 * 2011-3-21
 */
package cn.com.origin.autocodemanager.views.treecodeview;

import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;
import cn.com.origin.autocodemanager.common.tree.AbstractTreeData;
import cn.com.origin.autocodemanager.common.treetable.AbstractTreeTable;

public class CreateTreeCodeView extends AbstractTreeTable {
	boolean isNewItem = false;
	public CreateTreeCodeView(Composite composite, String rootName, ViewPart viewPart) {
		super(composite, rootName, viewPart);
	}
	public CreateTreeCodeView(Composite composite, String rootName) {
		super(composite, rootName);
		isNewItem = true;
	}
	public void addRightKeyAction() {
		tree.addMouseListener(new MouseAdapter() {
			public void mouseDown(MouseEvent e) {
				if (e.button == 3) {
					CodeTreeViewRightKeyAction rightAction = new CodeTreeViewRightKeyAction(CreateTreeCodeView.this);
					rightAction.fillContextMenu();
				} 
			}
		});
	}

	public void createOrgAutoCodeNodeChildren(AbstractTreeData[] codeDatas) throws Exception {
		super.createOrgAutoCodeNodeChildren(codeDatas);
	}
}
